Subject: Re: section .dummy lma 0xc0294310 overlaps previous sections

From: Sean MacLennan <[email-masked]>
Date: Thu, 24 Jul 2008 19:43:48 -0400

On Thu, 24 Jul 2008 19:17:33 -0400
"Sean MacLennan" <[email-masked]> wrote:

> On Fri, 25 Jul 2008 00:29:28 +0200
> "Segher Boessenkool" <[email-masked]> wrote:
> 
> > > Anybody else seeing these? With Linus' latest I get three of these
> > > warnings: .tmp_vmlinux1, .tmp_vmlinux2, and vmlinux.
> > 
> > Ah, that's useful information, I think I know what's going on
> > now.  What was your binutils version?
> 
> 2.16.1. Comes from the Denx 4.1 ELDK if that helps any.

If I back out c69cccc95fe4b90dde5fe33e6a3b77880b534fa4 "Fix build bug
with binutils < 2.18 and GCC < 4.2" then the warnings go away.

And yes, the compiler is GCC 4.0.

Cheers,
   Sean